## python-sqlite 1.0.1

=== debian/changelog ===
python-sqlite (1.0.1-9) unstable; urgency=low

  * Ignore space before non-modifying commands for auto-transactions

 -- Joel Rosdahl <joel@debian.org>  Mon, 19 Dec 2011 21:52:01 +0100

python-sqlite (1.0.1-8) unstable; urgency=low

  * Convert from dh_pycentral to dh_python2 (closes: #617031)
  * Use debhelper compat level 8
  * Bump Standards-Version to 3.9.2
  * Pass --install-layout=deb to "setup.py install"
  * Use source format 3.0 (quilt)
  * Add build-arch and build-indep targets to debian/rules
  * Add watch file
  * Correct upstream source URL
  * Uppercase Python in package description
  * Use "Section: debug" and "Priority: extra" for the debug package
  * Some spelling fixes in the sqlite module

 -- Joel Rosdahl <joel@debian.org>  Wed, 29 Jun 2011 22:30:09 +0200

python-sqlite (1.0.1-7) unstable; urgency=low

  * Rebuild to add Python 2.5 support.
  * Build python-sqlite-dbg package based on Ubuntu patch.

 -- Joel Rosdahl <joel@debian.org>  Thu, 21 Jun 2007 22:32:42 +0200

python-sqlite (1.0.1-6) unstable; urgency=low

  * Removed DH_COMPAT variable from debian/rules to fix Lintian warning.
  * Added missing build dependency on python-central >= 0.5.
  * Added debian/pycompat file.
  * Bumped build dependencies on debhelper, python-all-dev and
    python-central.

 -- Joel Rosdahl <joel@debian.org>  Sun, 22 Apr 2007 22:03:05 +0200

python-sqlite (1.0.1-5) unstable; urgency=low

  * Adapt to new Python policy. Closes: bug#373357.
  * Updated Standards-Version to 3.7.2.

 -- Joel Rosdahl <joel@debian.org>  Mon, 19 Jun 2006 18:11:12 +0000

python-sqlite (1.0.1-4) unstable; urgency=low

  * Include license for port/strsep.c in debian/copyright.

 -- Joel Rosdahl <joel@debian.org>  Wed, 14 Sep 2005 09:24:29 +0200

python-sqlite (1.0.1-3) unstable; urgency=low

  * Drop support for Python 2.1 and 2.2.
  * Clarify description and mention python-pysqlite1.1, python-pysqlite2
    and python-apsw.
  * Added README.Debian with information about different Python SQLite
    modules.
  * Updated Standards-Version to 3.6.2.
  * Updated copyright file with new URL and better formatted license text.

 -- Joel Rosdahl <joel@debian.org>  Fri,  9 Sep 2005 17:56:37 +0200

python-sqlite (1.0.1-2) unstable; urgency=low

  * Build package for Python 2.4 too.
  * Really include manual.txt in all packages this time.

 -- Joel Rosdahl <joel@debian.org>  Sun, 16 Jan 2005 22:08:35 +0100

python-sqlite (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Include examples and manual.txt in all packages. Closes: bug#275533.
  * Debhelper compatibility level 4.

 -- Joel Rosdahl <joel@debian.org>  Sun,  2 Jan 2005 17:08:47 +0100

python-sqlite (1.0-2) unstable; urgency=low

  * Include some examples. Closes: bug#275533.

 -- Joel Rosdahl <joel@debian.org>  Wed, 13 Oct 2004 20:25:14 +0200

python-sqlite (1.0-1) unstable; urgency=low

  * New upstream release.

 -- Joel Rosdahl <joel@debian.org>  Tue,  5 Oct 2004 22:50:58 +0200

python-sqlite (0.5.1-3) unstable; urgency=low

  * Build-Depend on python. Closes: bug#265037.

 -- Joel Rosdahl <joel@debian.org>  Wed, 11 Aug 2004 16:05:20 +0200

python-sqlite (0.5.1-2) unstable; urgency=low

  * Generate prerm and postinstall scripts.

 -- Joel Rosdahl <joel@debian.org>  Sat,  7 Aug 2004 22:37:52 +0200

python-sqlite (0.5.1-1) unstable; urgency=low

  * New upstream release (closes: bug#232620).
  * Updated Standards-Version to 3.6.1.
  * Don't include *.pyc files in package.

 -- Joel Rosdahl <joel@debian.org>  Sun,  4 Jul 2004 10:47:46 +0200

python-sqlite (0.4.3-2) unstable; urgency=low

  * Use Python 2.3 as default Debian version.
  * Updated Standards-Version to 3.6.0.

 -- Joel Rosdahl <joel@debian.org>  Sat,  9 Aug 2003 16:48:53 +0200

python-sqlite (0.4.3-1) unstable; urgency=low

  * New upstream version.
  * Put packages in the python section.

 -- Joel Rosdahl <joel@debian.org>  Wed,  4 Jun 2003 08:01:18 +0200

python-sqlite (0.4.2-1) unstable; urgency=low

  * Official Debian version.
  * Updated Standards-Version to 3.5.10.

 -- Joel Rosdahl <joel@debian.org>  Tue,  3 Jun 2003 08:25:51 +0200

python-sqlite (0.4.2-0.1) unstable; urgency=low

  * Version number is 0.4.2 now.

 -- Gerhard Häring <gh@ghaering.de>  Sat, 31 May 2003 16:11:03 +2000

python-sqlite (0.4.1-2) unstable; urgency=low

  * Changed architecture of python-sqlite binary package to all.
  * Added Debian package creator and upstream maintainers to copyright
    file.

 -- Joel Rosdahl <joel@debian.org>  Sun, 23 Mar 2003 21:19:17 +0100

python-sqlite (0.4.1-1) unstable; urgency=low

  * First official Debian version. Closes: bug#163027.

 -- Joel Rosdahl <joel@debian.org>  Sun, 23 Mar 2003 17:02:37 +0100

python-sqlite (0.4.1-0.1) unstable; urgency=low

  * Version number is 0.4.1 now.

 -- Gerhard Häring <gerhard.haering@gmx.de>  Tue, 14 Feb 2003 22:24:00 +2000

python-sqlite (0.4.0-0.1) unstable; urgency=low

  * Version number is 0.4.0 now.

 -- Gerhard Häring <gerhard.haering@gmx.de>  Tue, 11 Feb 2003 10:47:00 +2000

python-sqlite (0.3.2-0.1) unstable; urgency=low

  * Depend on libsqlite0 instead of libsqlite.
  * Update to version 0.3.2.

 -- Gerhard Häring <gerhard.haering@gmx.de>  Tue, 21 Jan 2003 01:12:35 +2000

python-sqlite (0.3.1-0.1) unstable; urgency=low

  * Update to version 0.3.1.

 -- Gerhard Häring <gerhard.haering@gmx.de>  Mon, 26 Aug 2002 19:59:37 +2000

python-sqlite (0.3.0-0.1) unstable; urgency=low

  * First try at a Debian package.

 -- Gerhard Häring <gerhard.haering@gmx.de>  Mon, 26 Aug 2002 19:59:37 +2000
