=== debian/control ===
Source: python-sqlite
Section: python
Priority: optional
Maintainer: Joel Rosdahl <joel@debian.org>
Build-Depends: debhelper (>= 8), libsqlite0-dev (>= 2.5.6), python-all-dev (>= 2.6.6-3~), python-all-dbg
Standards-Version: 3.9.2

Package: python-sqlite
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Conflicts: python2.3-sqlite, python2.4-sqlite, python-pysqlite1.1, python2.3-pysqlite1.1, python2.4-pysqlite1.1
Replaces: python2.3-sqlite, python2.4-sqlite
Suggests: python-sqlite-dbg
Description: Python interface to SQLite 2
 pysqlite is an interface to the SQLite database server for
 Python. It aims to be fully compliant with Python database
 API version 2.0 while also exploiting the unique features of
 SQLite.
 .
 pysqlite 1.0.x is built against SQLite 2. For an interface to SQLite
 3, see the package python-pysqlite1.1, python-pysqlite2 or
 python-apsw.

Package: python-sqlite-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python-sqlite (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
Description: Python interface to SQLite 2 (debug extension)
 pysqlite is an interface to the SQLite database server for
 Python. It aims to be fully compliant with Python database
 API version 2.0 while also exploiting the unique features of
 SQLite.
 .
 This package contains the extensions built for the Python debug interpreter.
