=== debian/watch ===
version=3
http://googlecode.debian.net/p/pysqlite/pysqlite-(1\.0.*)\.tar\.gz
