## python-sqlite 1.0.1-7maemo1

=== debian/changelog ===
python-sqlite (1.0.1-7maemo1) unstable; urgency=low

  * Package for maemo.
  * No debug package built for maemo.
  * No examples for maemo.

 -- Daniel Martin Yerga <dyerga@gmail.com>  Fri, 27 Jun 2008 22:02:42 +0200
