## python-sqlite 1.0.1-7maemo2

=== debian/changelog ===
python-sqlite (1.0.1-7maemo2) unstable; urgency=low

  * Slight modification to control file

 -- Pascal Jermini <lorelei@garage.maemo.org>  Mon, 30 Jun 2008 22:42:35 +0200
