=== debian/control ===
Source: python-sqlite
Section: python
Priority: optional
Maintainer: Daniel Martin Yerga <dyerga@gmail.com>
Build-Depends: debhelper (>= 5.0.38), libsqlite0-dev (>= 2.5.6), python2.5-dev
XS-Python-Standards-Version: 0.4
XS-Python-Version: all
Standards-Version: 3.7.2

Package: python-sqlite
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}
Provides: ${python:Provides}
Conflicts: python2.3-sqlite, python2.4-sqlite, python-pysqlite1.1, python2.3-pysqlite1.1, python2.4-pysqlite1.1, pysqlite
Replaces: python2.3-sqlite, python2.4-sqlite, pysqlite
Suggests: python-sqlite-dbg
XB-Python-Version: ${python:Versions}
Description: python interface to SQLite 2
 pysqlite is an interface to the SQLite database server for
 Python. It aims to be fully compliant with Python database
 API version 2.0 while also exploiting the unique features of
 SQLite.
 .
 pysqlite 1.0.x is built against SQLite 2. For an interface to SQLite
 3, see the package python-pysqlite1.1, python-pysqlite2 or
 python-apsw.
